/***************************************************************************
 *   Copyright (C) 2005 by Sebastian Beck                                  *
 *   sebastian.bw@freenet.de
     *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef GETCIRCLE_H
#define GETCIRCLE_H

/**
@author Sebastian Beck
*/

#include <qstring.h>

struct CircleData
	{
	long int steps;
	double deltax;
	double deltay;
	double deltaz;
	long int n;
	};

class GetCircle
	{
public:
	GetCircle();

	~GetCircle();

	static long int get_r2y ( long int, long int );
	static long int get_l2y ( long int, long int, long int, long int );
	static long int get_l1x ( long int, long int );
	static long int get_r1x ( long int, long int, long int, long int );
	static QString getCircle ( uint mf, double r, char *kdev, double pr, char s1, double x1, double y1, char s2, double x2, double y2, CircleData *cd );

	};

#endif
